Package com.google.android.exoplayer2.drm

## Class FrameworkCryptoConfig

- java.lang.Object
- - com.google.android.exoplayer2.drm.FrameworkCryptoConfig

- All Implemented Interfaces:
    `CryptoConfig`

      public final class FrameworkCryptoConfig
      extends Object
      implements CryptoConfig

  A `CryptoConfig` for `C.CRYPTO_TYPE_FRAMEWORK`. Contains the necessary information to build or update a framework `MediaCrypto` that can be used to configure a `MediaCodec`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `forceAllowInsecureDecoderComponents` | Whether to allow use of insecure decoder components even if the underlying platform says otherwise.
    `byte[]` | `sessionId` | The DRM session id.
    `UUID` | `uuid` | The DRM scheme UUID.
    `static boolean` | `WORKAROUND_DEVICE_NEEDS_KEYS_TO_CONFIGURE_CODEC` | Whether the device needs keys to have been loaded into the `DrmSession` before codec configuration.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FrameworkCryptoConfig​(UUID uuid, byte[] sessionId, boolean forceAllowInsecureDecoderComponents)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WORKAROUND_DEVICE_NEEDS_KEYS_TO_CONFIGURE_CODEC

          public static final boolean WORKAROUND_DEVICE_NEEDS_KEYS_TO_CONFIGURE_CODEC

      Whether the device needs keys to have been loaded into the `DrmSession` before codec configuration.

    - #### uuid

          public final UUID uuid

      The DRM scheme UUID.

    - #### sessionId

          public final byte[] sessionId

      The DRM session id.

    - #### forceAllowInsecureDecoderComponents

          public final boolean forceAllowInsecureDecoderComponents

      Whether to allow use of insecure decoder components even if the underlying platform says otherwise.

  - ### Constructor Detail

    - #### FrameworkCryptoConfig

          public FrameworkCryptoConfig​(UUID uuid,
                                       byte[] sessionId,
                                       boolean forceAllowInsecureDecoderComponents)

      Parameters:
        `uuid` - The DRM scheme UUID.
        `sessionId` - The DRM session id.
        `forceAllowInsecureDecoderComponents` - Whether to allow use of insecure decoder components even if the underlying platform says otherwise.